[SCM] live-studio branch, master, updated. 829bb48259e565ac3086551a26441730160261dd

Chris Lamb lamby at debian.org
Fri Jul 30 04:52:37 UTC 2010


The following commit has been merged in the master branch:
commit 829bb48259e565ac3086551a26441730160261dd
Author: Chris Lamb <lamby at debian.org>
Date:   Fri Jul 30 00:51:04 2010 -0400

    Add stub initscript for live-studio-runner.

diff --git a/debian/live-studio-runner.init b/debian/live-studio-runner.init
new file mode 100644
index 0000000..f9bf0b9
--- /dev/null
+++ b/debian/live-studio-runner.init
@@ -0,0 +1,67 @@
+#! /bin/sh
+
+### BEGIN INIT INFO
+# Provides:		live-studio-runner
+# Required-Start:	$syslog $remote_fs
+# Required-Stop:	$syslog $remote_fs
+# Should-Start:		$local_fs
+# Should-Stop:		$local_fs
+# Default-Start:	2 3 4 5
+# Default-Stop:		0 1 6
+# Short-Description:	live-studio-runner - Queue runner for live-studio
+# Description:		live-studio-runner - Queue runner for live-studio
+### END INIT INFO
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/path/to/manage.py #FIXME
+NAME=live-studio-runner
+DESC=${NAME}
+PIDFILE=/var/run/${NAME}.pid
+
+test -x ${DAEMON} || exit 0
+
+set -e
+
+case "$1" in
+  start)
+	echo -n "Starting ${DESC}: "
+
+	if start-stop-daemon \
+		--start \
+		--quiet \
+		--umask 007 \
+		--pidfile ${PIDFILE} \
+		--exec ${DAEMON} -- queue_runner --pidfile ${PIDFILE}
+	then
+		echo "$NAME."
+	else
+		echo "failed"
+	fi
+	;;
+  stop)
+	echo -n "Stopping ${DESC}: "
+	if start-stop-daemon \
+		--stop \
+		--retry 10 \
+		--quiet \
+		--oknodo \
+		--pidfile ${PIDFILE}
+	then
+		echo "${NAME}."
+	else
+		echo "failed"
+	fi
+	rm -f ${PIDFILE}
+	;;
+
+  restart|force-reload)
+	${0} stop
+	${0} start
+	;;
+  *)
+	echo "Usage: /etc/init.d/${NAME} {start|stop|restart|force-reload}" >&2
+	exit 1
+	;;
+esac
+
+exit 0

-- 
live-studio



More information about the debian-live-changes mailing list